import { Component, OnInit } from '@angular/core';
import { ElectronProxyService } from '../commons/service/electron-proxy.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  title = 'scanner-app';

  public constructor(
    private electronProxyService: ElectronProxyService,
  ) {

  }

  ngOnInit(): void {
    this.electronProxyService.sendReady(performance.now());
  }
}
